GET /accounting/audit/trail
GET/accounting/audit/trail
GET /accounting/audit/trail
Request
Query Parameters
Custom date/time offset range syntax. Equal: 2020-01-01T00:00:00Z; From: [2020-01-01T00:00:00Z;]; To: [;2025-12-31T23:59:59Z]; Between: [2020-01-01T00:00:00Z;2025-12-31T23:59:59Z]. Custom date/time offset range syntax. Equal: 2020-01-01T00:00:00Z; From: [2020-01-01T00:00:00Z;]; To: [;2025-12-31T23:59:59Z]; Between: [2020-01-01T00:00:00Z;2025-12-31T23:59:59Z].
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].
Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
entities
object[]
nullable
gl_account
object
new_gl_account
object
book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
new_book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
record
object
contact
object
address
object
Possible values: <= 2 characters
new_record
object
contact
object
address
object
Possible values: <= 2 characters
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"action": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"new_date_posting": "2024-07-29",
"new_debit": 0,
"new_credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"new_gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"new_book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
},
"new_record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
}
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
entities
object[]
nullable
gl_account
object
new_gl_account
object
book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
new_book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
record
object
contact
object
address
object
Possible values: <= 2 characters
new_record
object
contact
object
address
object
Possible values: <= 2 characters
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"action": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"new_date_posting": "2024-07-29",
"new_debit": 0,
"new_credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"new_gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"new_book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
},
"new_record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
}
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
entities
object[]
nullable
gl_account
object
new_gl_account
object
book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
new_book
object
Possible values: non-empty
Possible values: non-empty
Possible values: <= 4
record
object
contact
object
address
object
Possible values: <= 2 characters
new_record
object
contact
object
address
object
Possible values: <= 2 characters
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"action": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"new_date_posting": "2024-07-29",
"new_debit": 0,
"new_credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"new_gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"new_book": {
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
},
"record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
},
"new_record": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "string",
"no": "string",
"date_posting": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"description": "string",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
}
}
}
],
"aggregations": [
null
]
}